Rensei docs

Create an active or draft Cedar policy with immutable version 1.

Create an active or draft Cedar policy with immutable version 1. - Rensei REST API operation reference.

POST
/api/policies

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Request Body

application/json
  1. body
name*string
Length1 <= length
description?string|null
cedarPolicy*string
Length1 <= length
scope?string
Value in"workspace""project"
scopeId?string|null
regulatoryTags?array<string>
metadata?
status?string
Value in"active""draft"

Response Body

Policy and immutable version 1 created.

application/json
  1. response
policy*
Example Request
curl -X POST 'https://app.rensei.ai/api/policies' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "cedarPolicy": "string"}'
Example Response
{  "policy": {    "id": "string",    "workspaceId": "string",    "name": "string",    "description": "string",    "cedarPolicy": "string",    "scope": "string",    "scopeId": "string",    "status": "string",    "version": 0,    "regulatoryTags": [      "string"    ],    "metadata": {      "property1": null,      "property2": null    },    "createdBy": "string",    "createdAt": "string",    "updatedAt": "string",    "archivedAt": "string"  }}